KIE.AI
old-model
  • All Model
  • old-model
language
language
  • 🇺🇸 English
  • 🇨🇳 Chinese
language
language
  • 🇺🇸 English
  • 🇨🇳 Chinese
Support
old-model
  • All Model
  • old-model
old-model
  • All Model
  • old-model
Suno API
4o Image APIVeo3.1 APIRunway APIFlux Kontext API
Suno API
4o Image APIVeo3.1 APIRunway APIFlux Kontext API
  1. Lyrics Generation
  • Suno API Quickstart
  • Music Generation
    • Music Cover Generation Callbacks
    • Music Generation Callbacks
    • Music Extension Callbacks
    • Audio Upload and Cover Callbacks
    • Audio Upload and Extension Callbacks
    • Add Instrumental Callbacks
    • Add Vocals Callbacks
    • Replace Music Section Callbacks
    • Generate Music
      POST
    • Extend Music
      POST
    • Upload And Cover Audio
      POST
    • Upload And Extend Audio
      POST
    • Add Instrumental to Music
      POST
    • Add Vocals to Music
      POST
    • Get Music Task Details
      GET
    • Get Timestamped Lyrics
      POST
    • Boost Music Style
      POST
    • Generate Music Cover
      POST
    • Get Cover Generation Details
      GET
    • Replace Music Section
      POST
    • Generate Persona
      POST
    • Generate Mashup Music
      POST
    • Recovery Audio
      POST
  • Lyrics Generation
    • Lyrics Generation Callbacks
    • Generate Lyrics
      POST
    • Get Lyrics Task Details
      GET
  • WAV Conversion
    • Convert to WAV Callbacks
    • Convert to WAV Format
    • Get WAV Conversion Details
  • Vocal Removal
    • Audio Separation Callbacks
    • MIDI Generation Callbacks
    • Vocal & Instrument Stem Separation
    • Get Vocal Separation Details
    • Generate MIDI from Audio
    • Get MIDI Generation Details
  • Music Video Generation
    • Music Video Generation Callbacks
    • Create Music Video
    • Get Music Video Details
  • Sounds Generation
    • Generate sounds
  • voice
    • Suno Voice Generation Callback
    • Suno Voice Validation Phrase Callback
    • Suno Voice Generate Verification Phrase API
    • Suno Voice Get Verification Phrase API
    • Suno Voice Create Custom Voice API
    • Suno Voice Get Custom Voice Records
    • Suno Voice Regenerate Verification Phrase
    • Suno Voice Check Availability API
  1. Lyrics Generation

Get Lyrics Task Details

GET
/api/v1/lyrics/record-info
Retrieve detailed information about a lyrics generation task.

Usage Guide#

Use this endpoint to check the status of a lyrics generation task
Retrieve generated lyrics content once the task is complete
Track task progress and access any error information if generation failed

Status Descriptions#

PENDING: Task is waiting to be processed
SUCCESS: Lyrics generated successfully
CREATE_TASK_FAILED: Failed to create the task
GENERATE_LYRICS_FAILED: Failed during lyrics generation
CALLBACK_EXCEPTION: Error occurred during callback
SENSITIVE_WORD_ERROR: Content filtered due to sensitive words

Developer Notes#

Successful tasks will include multiple lyrics variations
Each lyrics set includes both content and a suggested title
Error codes and messages are provided for failed tasks

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Query Params

Responses

🟢200
application/json
Request successful
Bodyapplication/json

🔴500Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.kie.ai/api/v1/lyrics/record-info?taskId=11dc****8b0f' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - 成功示例
{
    "code": 200,
    "msg": "success",
    "data": {
        "taskId": "11dc****8b0f",
        "param": "{\"prompt\":\"A song about peaceful night in the city\"}",
        "response": {
            "taskId": "11dc****8b0f",
            "data": [
                {
                    "text": "[Verse]\n我穿越城市黑暗夜\n心中燃烧梦想的烈火",
                    "title": "钢铁侠",
                    "status": "complete",
                    "errorMessage": ""
                }
            ]
        },
        "status": "SUCCESS",
        "errorCode": null,
        "errorMessage": null
    }
}
Previous
Generate Lyrics
Next
Convert to WAV Callbacks
Built with